Grim Dawn Message Board
Our Grim Dawn Trainer is now available for version 1.1.7.1 64-BIT (+DLC) and supports STEAM, GOG. Our Grim Dawn message board is available to provide feedback on our trainers or cheats.
Grim Dawn Trainer
REQUEST MORE OPTIONS
0 option(s) for voting
FILE UPDATE REQUEST
2 report(s) filed
BOOST UPDATE PRIORITY
Boost currently not available
Message Board for PC version
Page 55 of 82   •  First Page  •  Previous Page  •   Next Page  •   Last Page
Signup or Login to Post
  Grim Dawn Trainer
  • Current rank: 1 Star. Next Rank at 100 Posts.
    Send a message to Anubis
    SAGE
    Anubis posted on Oct 13, 2017 11:50:30 AM - Report post
     
    quote:
    originally posted by PWizard

    quote:
    originally posted by Skeet8385

    Hi guys. I am thinking about getting the Ashes of Malmouth Expansion/DLC for this game. Can anyone confirm if latest Trainer works with that DLC? Wanted to know before I purchase it. Thoughts and help greatly appreciated

    @Skeet8385

    If you get the expansion and the trainer DOES work, please let us know so we can update the description.

    Yes, i have installed that DLC and trainer is working without any problems.



    [Edited by Anubis, 10/13/2017 11:21:28 PM]

  • Current rank: 1 Star. Next Rank at 100 Posts.
    Send a message to j0ny
    ELITE
    j0ny posted on Oct 13, 2017 4:11:03 PM - Report post
     
    quote:
    originally posted by 0x90

    Close the trainer and go to %appdata%\Cheat Happens\0x90\ and delete the Settings.xml and start the trainer again.

    That fix it! Thanks.

  • Current rank: 1 Star. Next Rank at 100 Posts.
    Send a message to dino9999
    ELITE
    dino9999 posted on Oct 13, 2017 4:36:09 PM - Report post
     
    quote:
    originally posted by Taurusplopp

    quote:
    originally posted by dino9999

    It seems like the trainer force closes...even if i'm have put in in my anti-viruses exclusions... I'm using bitdefender 2018 paid version...got any solutions? I it just ends after the splash screen. 😐

    Please make sure to have created scan exclusions in BD 2018 for the trainer exe file and the Work folder, which is created by our current trainers (Trainer Manager Compatible) in this location here -> C:\Users\YourWindowsUserName\Cheathappens\ and run the trainer with admin rights.

    Also, please disable BD's Advanced Threat Defense module completely prior to run our trainer and while you're using it.

    Thanks! I have figured out how to run the trainer now, but the Remove All Item Requirements option doesn't seem to work for me. Its just saying "activated" but i still can't equip the item I wanted to equip. it has a required lvl of 94 and 551 cunning. Can you help me figure this out? the other options works but not the Remove All Item Requirements

  • Current rank: 3.5 Stars. Next Rank at 8000 Posts.
    Send a message to Taurusplopp
    ELITE
    Taurusplopp posted on Oct 14, 2017 12:59:12 AM - Report post
     
    The 'Remove Item Requirements' works on relics.
    Good for health, bad for education.
  • Current rank: 1 Star. Next Rank at 100 Posts.
    Send a message to dino9999
    ELITE
    dino9999 posted on Oct 14, 2017 4:47:29 AM - Report post
     
    quote:
    originally posted by Taurusplopp

    The 'Remove Item Requirements' works on relics.

    ok...so it is for Relic creation or relic equipment?

  • Trainer Maker
    Send a message to 0x90
    STAFF
    0x90 posted on Oct 14, 2017 5:30:09 AM - Report post
     
    Regarding the request for reputation. Where do I see the current reputation? And can someone upload a savegame near such a reputation locked shop?
  • Premium Plus
    Send a message to TheWonkoTheSane
    VETERAN
    TheWonkoTheSane posted on Oct 14, 2017 9:44:37 PM - Report post
     
    The new version seems not to work with the GOG edition anymore. Upon trainer start i get "Error in #15: Cannot find AOB".
    The game keeps running when activating the trainer from then trainer GUI, but when activated from the game, the game crashes.
    Edit. just for clarification, all previous versions of the trainer - even 1.0.2.0 - did work for the GOG edition.

    [Edited by TheWonkoTheSane, 10/15/2017 3:54:22 AM]
    There is a fine line between ingenuity and insanity. Too bad it is not a fence.
    Gnothi seauton
  • Current rank: 1 Star. Next Rank at 100 Posts.
    Send a message to blind2314
    SAGE
    blind2314 posted on Oct 14, 2017 11:37:45 PM - Report post
     
    quote:
    originally posted by Taurusplopp

    The 'Remove Item Requirements' works on relics.

    So it doesn't work on all items as the tooltip within the trainer implies? Or is there something else we need to do

Page 55 of 82   •  First Page  •  Previous Page  •   Next Page  •   Last Page
Signup or Login to Post
All times are (GMT -06:00) Central Time (US & Canada). Current time is 12:29:01 AM